Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Apr 2017, 16:03
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
tahrpup 6.0.5 CE
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 112 of 112 [1674 Posts]   Goto page: Previous 1, 2, 3, ..., 110, 111, 112
Author Message
davids45


Joined: 26 Nov 2006
Posts: 924
Location: Chatswood, NSW

PostPosted: Mon 03 Apr 2017, 19:53    Post subject: Fix missing lib file  

G'day DAC324,

Just in case you want to know what to do with the missing lib (libatomic.so.1) when you find a copy, it needs to be copied to the /usr/lib/ directory.

If the file you find has extra numbers after the ".so.1" then it's just a newer version of the basic library file and should be OK.
But for Slimjet to find it, either re-name the newer file to the older name or make a symlink called 'libatomic.so.1' to the new file once it is in the /usr/lib directory.

If you look in your /usr/lib/ directory, you will see plenty of links from newer lib files to the older name - it's the old name that a program looks for.

Happy hunting and good luck,

David S.
Back to top
View user's profile Send private message 
Robert123

Joined: 20 May 2016
Posts: 260
Location: Pacific

PostPosted: Fri 07 Apr 2017, 05:40    Post subject:  

Tahrpup 6.06 32bit Machine Emachines E625

Sound, video working well - though I had to set Acpi=off in menu.lst.
Internet with Frisbee works well. Browser Palemoon no problems noticed.

Full install Ext4. Grub4Dos.

_________________
Runs fluppy 0.13 Barebones, AnitaOS 431 version - AnitaOS for retro hardware based on 4.31 but heavily updated:http://sourceforge.net/projects/anitaos/
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1308
Location: Italy

PostPosted: Fri 14 Apr 2017, 06:21    Post subject:  

My raspberry was broken! I have been using it as TV-box to watch in TV long youtube videos like conferences of 1 hour and more. I was surprised when I attached the hdmi cable from the broken raspberry to a laptop near the TV set running puppy tahr-6.0.6: bingo! It dual displays the internet on the TV and the laptop's lcd. I'm happy.
Back to top
View user's profile Send private message 
DAC324

Joined: 18 Jul 2015
Posts: 12

PostPosted: Sat 15 Apr 2017, 16:05    Post subject: Re: Fix missing lib file  

davids45 wrote:
G'day DAC324,

Just in case you want to know what to do with the missing lib (libatomic.so.1) when you find a copy, it needs to be copied to the /usr/lib/ directory.

If the file you find has extra numbers after the ".so.1" then it's just a newer version of the basic library file and should be OK.
But for Slimjet to find it, either re-name the newer file to the older name or make a symlink called 'libatomic.so.1' to the new file once it is in the /usr/lib directory.

If you look in your /usr/lib/ directory, you will see plenty of links from newer lib files to the older name - it's the old name that a program looks for.

Happy hunting and good luck,

David S.
Thank you very much David.

I just wanted to get Chromium 57 running on Tahrpup 6.0.5.
Seems to be a problem that is harder than expected at first sight. Having apparently fixed the libatomic problem by now, Chromium throws another error when trying to start it:
Quote:
/usr/lib/chromium/chromium: /lib/libdbus-1.so.3: no version information available (required by /usr/lib/chromium/chromium)
/usr/lib/chromium/chromium: symbol lookup error: /usr/lib/chromium/chromium: undefined symbol: g_type_check_instance_is_fundamentally_a
This indicates that in TahrPup 6.0.5, at least libdbus and libglib-2 are too old. According to my research, the "missing version info" error usually indicates that the library on my system is older than the library the executable originally was linked to, and the undefined symbol: g_type_check_instance_is_fundamentally_a has been introduced in libglib2-2.41. But in TahrPup 6.0.5, there is only the version 2.0 of that lib which lacks this symbol. As glib is a central library, it apparently seems to be impossible to get Chromium running on TahrPup 6.0.5.
That's a real pity.

Kind regards,

DAC324
Back to top
View user's profile Send private message 
haywirepc

Joined: 19 Nov 2009
Posts: 99

PostPosted: Tue 18 Apr 2017, 09:23    Post subject:  

Facebook and some other sites are now crashing latest chrome and firefox browsers available from quickpet or repos. Chromium available from the repos also facebook and some other sites crash.

I tried installing the latest chromium sfs also, and get this error :

/usr/lib/chromium/chromium: /lib/libdbus-1.so.3: no version information available (required by /usr/lib/chromium/chromium)
/usr/lib/chromium/chromium: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /usr/lib/chromium/chromium)

I have been using puppy linux as my main desktop os for I think over 8 years. I hate to do so, but it looks like I'll be switching to mint or ubuntu. A stable browser is a pretty important thing. I really miss lucid puppy, everything just worked. I have spent ages on bug fixes and so many annoyances and problems with tahrpup. Now this browsers problem seems like the last straw for me. I've said it before and I'll say it again, calling
tahrpup 6.X or anything other than alpha is just wrong. Doesn't even
deserve 1.0 version numbering due to the many problems, bugs and
general annoyances involved with trying to use it effectively.

No offense to all involved here, but when a linux distro can't even provide an up to date stable browser, its really probably time to move on.
Back to top
View user's profile Send private message 
newpet

Joined: 08 May 2015
Posts: 24

PostPosted: Wed 19 Apr 2017, 06:20    Post subject:  

Quote:
No offense to all involved here, but when a linux distro can't even provide an up to date stable browser, its really probably time to move on.


Tahrpup 32bit, eeePC atom n270 single core, Pale Moon last available version, nicely updated by its dedicated updater.
Standalone versions of the browser works perfectly as well.
Everything works smoothly and quickly as ever.
Facebook is even faster than on my win machine.
In a nutshell, the best OS I've ever had, far more responsive then any other I tried, and very stable.

I'm not sure why you are experiencing problems.
Maybe an hw thing?

_
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 8577
Location: Charleston S.C. USA

PostPosted: Wed 19 Apr 2017, 08:43    Post subject:  

Quote:
No offense to all involved here, but when a linux distro can't even provide an up to date stable browser, its really probably time to move on.

The Linux Operating system has no control over the browser.
The developers of the browser have full control of their browser. Shocked
They changed it. Shocked
They changed what is needed to run it. Shocked

If the operating system now does not support the browser software.
It is up to the browser developers to tell people what is now needed to run their browser.

Same for web sites.
The people running the web site control what is needed to access the site.

I agree, Palemoon seems to be updating their browser and still giving good support to making sure it still works in the operating system.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
number698

Joined: 10 Jan 2015
Posts: 19

PostPosted: Wed 19 Apr 2017, 09:56    Post subject:  

facebook crashing ? - seems ok running chrome Version 32.0.1700.77

i do see this message on facebook - 'For a better experience on Facebook, switch to our basic site or update your browser.'

so i've now switched to basic and it runs much easier on my slow lappy, so that's good to know.
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 1656
Location: 500 seconds from Sol

PostPosted: Wed 19 Apr 2017, 10:05    Post subject: Or try Slimjet 13.0.9.0  

Hi haywirepc,

Try Slimjet 13.0.9.0 published a couple of days ago by OscarTalks, http://murga-linux.com/puppy/viewtopic.php?p=951060#951060, based on Chromium 55 and, on the posts just after that link, reported to running well.

mikesLr
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 112 of 112 [1674 Posts]   Goto page: Previous 1, 2, 3, ..., 110, 111, 112
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0924s ][ Queries: 14 (0.0355s) ][ GZIP on ]